| Home | Libraries | People | FAQ | More

## Struct template integral_c

boost::proto::integral_c — A PrimitiveTransform that returns the specified integral constant.

## Synopsis

    // In header: <boost/proto/transform/integral_c.hpp>

    template<typename T, T I>
    struct integral_c :  proto::transform< integral_c< T, I > > {
      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::transform_impl< Expr, State, Data > {
        // types
        typedef T result_type;

        // public member functions
        T operator()(typename impl::expr_param, typename impl::state_param,
                     typename impl::data_param) const;
      };
    };

## Description